GeoTessCPP: geotess::GeoTessException Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
geotess::GeoTessException Class Reference

An exception class for all GeoTess objects. More...

`#include <GeoTessException.h>`

## Public Member Functions
| GeoTessException (std::string message, int code)
| GeoTessException (ostringstream &os, const string &file, int line, int code)
| GeoTessException (const string &msg, const string &file, int line, int code)
virtual | ~GeoTessException ()

## Static Public Member Functions
static void | appendInfo (ostringstream &os, const string &file, int line)
static void | appendInfo (string &msg, const string &file, int line)

## Public Attributes
string | emessage
int | ecode

## Detailed Description

An exception class for all GeoTess objects.

An exception class for all GeoTess objects.

Author
  Sandy Ballard

Definition at line 67 of file GeoTessException.h.

## Constructor & Destructor Documentation

## ◆ GeoTessException() [1/3]

geotess::GeoTessException::GeoTessException | ( | std::string | message,
|  | int | code
| ) |  |
| inline

Parameterized constructor specifying the error message to be displayed.

Definition at line 84 of file GeoTessException.h.

## ◆ GeoTessException() [2/3]

geotess::GeoTessException::GeoTessException | ( | ostringstream & | os,
|  | const string & | file,
|  | int | line,
|  | int | code
| ) |  |
| inline

Standard Constructor taking a partially defined string stream, which contains the basic error message, and appending version, file, and line number (of error) to the stream before assigning its entire contents to the message of this exception. The error code is also assigned.

Definition at line 95 of file GeoTessException.h.

## ◆ GeoTessException() [3/3]

geotess::GeoTessException::GeoTessException | ( | const string & | msg,
|  | const string & | file,
|  | int | line,
|  | int | code
| ) |  |
| inline

Standard Constructor taking a partially defined string stream, which contains the basic error message, and appending version, file, and line number (of error) to the stream before assigning its entire contents to the message of this exception. The error code is also assigned.

Definition at line 110 of file GeoTessException.h.

## ◆ ~GeoTessException()

virtual geotess::GeoTessException::~GeoTessException | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 121 of file GeoTessException.h.

## Member Function Documentation

## ◆ appendInfo() [1/2]

static void geotess::GeoTessException::appendInfo | ( | ostringstream & | os,
|  | const string & | file,
|  | int | line
| ) |  |
| inlinestatic

Appends version, file, and line number information to the input string stream.

Definition at line 128 of file GeoTessException.h.

## ◆ appendInfo() [2/2]

static void geotess::GeoTessException::appendInfo | ( | string & | msg,
|  | const string & | file,
|  | int | line
| ) |  |
| inlinestatic

Appends version, file, and line number information to the input string stream.

Definition at line 137 of file GeoTessException.h.

## Member Data Documentation

## ◆ ecode

int geotess::GeoTessException::ecode

Public error code set to one of the error constantants defined in this file.

Definition at line 79 of file GeoTessException.h.

## ◆ emessage

string geotess::GeoTessException::emessage

Definition at line 74 of file GeoTessException.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessException.h